## ipython 2.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
SRCDIR        = source
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck api

default: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html        standalone HTML files"
	@echo "  html_noapi  same as above, without the time consuming API docs"
	@echo "  pickle      pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp    HTML files and a HTML help project"
	@echo "  latex       LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  texinfo     Texinfo files"
	@echo "  info        Texinfo files and run them through makeinfo"
	@echo "  changes     an overview over all changed/added/deprecated items"
	@echo "  linkcheck   check all external links for integrity (takes a long time)"
	@echo
	@echo "Compound utility targets:"
	@echo "pdf          latex and then runs the PDF generation"
	@echo "all          html and pdf"
	@echo "dist         all, and then puts the results in dist/"
	@echo "gitwash-update update git workflow from source repo"

clean_api:
	-rm -rf $(SRCDIR)/api/generated

clean: clean_api
	-rm -rf build/* dist/*
	-cd $(SRCDIR)/config/options; cat generated | xargs -r rm -f
	-rm -rf $(SRCDIR)/config/options/generated

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

# For final distribution, only build HTML (our pdf is now so large as to be
# unusable, takes forever to build and just bloats the downloads).  We leave
# them hardlinked at the top-level so users find them easily, though the
# original build/html dir is left in-place (useful to reload builds while
# testing).
dist: html
	rm -rf html
	cp -al build/html .
	@echo "Build finished.  Final docs are in html/"

html: api autoconfig
html_noapi: clean_api autoconfig

html html_noapi:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

autoconfig: source/config/options/generated

source/config/options/generated:
	python autogen_config.py
	@echo "Created docs for config options"

api: source/api/generated/gen.txt

source/api/generated/gen.txt:
	python autogen_api.py
	@echo "Build API docs finished."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	mkdir -p build/qthelp
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/IPython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/IPython.qhc"

latex: api autoconfig
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.rst."

gitwash-update:
	python ../tools/gitwash_dumper.py source/development ipython

nightly: dist
	rsync -avH --delete dist/ ipython:www/doc/nightly

gh-pages: clean html
	# if VERSION is unspecified, it will be dev
	# For releases, VERSION should be just the major version,
	# e.g. VERSION=2 make gh-pages
	python gh-pages.py $(VERSION)

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== IPython/testing/plugin/Makefile ===
# Set this prefix to where you want to install the plugin
PREFIX=/usr/local

NOSE0=nosetests -vs --with-doctest --doctest-tests --detailed-errors
NOSE=nosetests -vvs --with-ipdoctest --doctest-tests --doctest-extension=txt \
--detailed-errors

SRC=ipdoctest.py setup.py ../decorators.py

# Default target for clean 'make'
default: interactiveshell

# The actual plugin installation
plugin: IPython_doctest_plugin.egg-info

# Simple targets that test one thing
simple: plugin simple.py
	$(NOSE) simple.py

dtest: plugin dtexample.py
	$(NOSE) dtexample.py

rtest: plugin test_refs.py
	$(NOSE) test_refs.py

test: plugin dtexample.py
	$(NOSE) dtexample.py test*.py test*.txt

deb: plugin dtexample.py
	$(NOSE) test_combo.txt

# IPython tests
deco:
	$(NOSE0) IPython.testing.decorators

magic: plugin
	$(NOSE) IPython.core.magic

excolors: plugin
	$(NOSE) IPython.core.excolors

interactiveshell: plugin
	$(NOSE)  IPython.core.interactiveshell

strd: plugin
	$(NOSE) IPython.core.strdispatch

engine: plugin
	$(NOSE) IPython.kernel

tf: plugin
	$(NOSE) IPython.config.traitlets

# All of ipython itself
ipython: plugin
	$(NOSE) IPython


# Combined targets
sr: rtest strd

base: dtest rtest test strd deco

quick: base interactiveshell ipipe

all: base ipython

# Main plugin and cleanup
IPython_doctest_plugin.egg-info: $(SRC)
	python setup.py install --prefix=$(PREFIX)
	touch $@

clean:
	rm -rf IPython_doctest_plugin.egg-info *~ *pyc build/ dist/

=== IPython/html/static/components/font-awesome/Makefile ===
default: data
	@mkdir -p css font scss less
	@cd $< && git pull
	@cp -f $</css/* ./css
	@cp -f $</font/* ./font
	@cp -f $</scss/* ./scss
	@cp -f $</less/* ./less
	@du -bh css* font* scss* less*

data:
	@git clone https://github.com/FortAwesome/Font-Awesome.git $@

.PHONY: default

=== IPython/html/static/components/marked/Makefile ===
all:
	@cp lib/marked.js marked.js
	@uglifyjs -o marked.min.js marked.js

clean:
	@rm marked.js
	@rm marked.min.js

bench:
	@node test --bench

.PHONY: clean all

=== debian/changelog ===
ipython (2.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #803082)
  * add backported patches to support python3.5
  * fix CVE-2015-6938: XSS vulnerability (Closes: #798886)
  * fix CVE-2015-4707: XSS in JSON error responses (Closes: #789824)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 06 Jan 2016 15:47:58 +0100

=== debian/control ===
Source: ipython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: debhelper (>= 7.3.13)
Build-Depends-Indep: dh-linktree,
                     fabric,
                     fonts-font-awesome (>= 3.2.1),
                     graphviz,
                     libc-bin (>= 2.13-1~),
                     libjs-highlight,
                     libjs-jquery-ui,
                     libjs-marked,
                     libjs-underscore,
                     node-less (>= 1.3.1),
                     node-uglify,
                     python-all (>= 2.6.6-3~),
                     python-decorator,
                     python-matplotlib,
                     python-mock,
                     python-nose,
                     python-numpydoc,
                     python-pexpect,
                     python-pygments,
                     python-qt4,
                     python-simplegeneric,
                     python-sphinx (>= 1.0.7+dfsg-1~),
                     python-tk,
                     python-tornado (>= 3.1.0),
                     python-zmq (>= 2.1.11),
                     python3-all,
                     python3-setuptools,
                     xauth,
                     xvfb
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://ipython.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/ipython.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipython.git
Standards-Version: 3.9.6

Package: ipython
Architecture: all
Depends: python-decorator,
         python-pexpect,
         python-simplegeneric,
         ${misc:Depends},
         ${python:Depends}
Suggests: ipython-doc,
          ipython-notebook,
          ipython-qtconsole,
          python-matplotlib,
          python-numpy,
          python-profiler,
          python-zmq (>= 2.1.11)
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the basic terminal shell. For the qt console
 install ipython-qtconsole and for the html notebook install
 ipython-notebook.

Package: ipython3
Architecture: all
Depends: python3-decorator,
         python3-pkg-resources,
         python3-simplegeneric,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.1.11)
Description: enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the Python 3 variant of ipython terminal shell.
 For the qt console install ipython3-qtconsole and for the html notebook
 install ipython3-notebook.

Package: ipython-qtconsole
Architecture: all
Depends: ipython (= ${binary:Version}),
         python-pygments,
         python-qt4 | python-pyside.qtcore,
         python-qt4 | python-pyside.qtgui,
         python-qt4 | python-pyside.qtsvg,
         python-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python:Depends}
Description: enhanced interactive Python shell - Qt console
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qt console.

Package: ipython3-qtconsole
Architecture: all
Depends: ipython3 (= ${binary:Version}),
         python3-pkg-resources,
         python3-pygments,
         python3-pyqt4 | python3-pyside.qtcore,
         python3-pyqt4 | python3-pyside.qtgui,
         python3-pyqt4 | python3-pyside.qtsvg,
         python3-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python3:Depends}
Description: enhanced interactive Python 3 shell - Qt console
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the Python3 variant of the qt console.

Package: ipython-notebook-common
Architecture: all
Depends: fonts-font-awesome,
         libjs-highlight,
         libjs-jquery (>= 1.7),
         libjs-jquery-ui,
         libjs-marked,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends}
Suggests: nodejs, pandoc, pgf
Replaces: ipython-notebook (<< 0.12.1-2)
Breaks: ipython-notebook (<< 0.12.1-2)
Description: interactive Python html notebook data package
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the data for html notebook.

Package: ipython-notebook
Architecture: all
Depends: ipython (= ${binary:Version}),
         ipython-notebook-common (= ${binary:Version}),
         python-jinja2,
         python-tornado (>= 3.1.0),
         python-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pygments
Description: interactive Python html notebook
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the html notebook providing a Mathematica-like
 webinterface to Python.

Package: ipython3-notebook
Architecture: all
Depends: ipython-notebook-common (= ${binary:Version}),
         ipython3 (= ${binary:Version}),
         python3-jinja2,
         python3-tornado (>= 3.1.0),
         python3-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-pygments
Description: interactive Python 3 html notebook
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the html notebook providing a Mathematica-like
 webinterface to Python 3.

Package: ipython-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: ipython (<< 0.11-2), ipython-notebook (<< 0.12.1-1)
Breaks: ipython (<< 0.11-2), ipython-notebook (<< 0.12.1-1)
Description: enhanced interactive Python shell - Documentation
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
PYVERS = $(shell pyversions -rv)
PY3VERS = $(shell py3versions -r)
NB = debian/ipython-notebook-common/usr/share/ipython/notebook/static

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_clean:
	rm -f test_hist.sqlite
	if cd $(CURDIR)/docs; then $(MAKE) clean; fi
	dh_auto_clean
	rm -f install-stamp
	rm -rf $(CURDIR)/build
	# remove 0.13 generated files
	rm -f $(CURDIR)/docs/source/_static/hist_simple.png
	rm -f $(CURDIR)/docs/source/_static/hist_with_text.png
	rm -f $(CURDIR)/docs/source/_static/plot_simple.png
	rm -f $(CURDIR)/docs/source/_static/plot_simple_python.png

override_dh_auto_build:
	dh_auto_build -- --executable '/usr/bin/env python'
	# utf-8 due to https://github.com/ipython/ipython/issues/2057
	set -e && for pyvers in $(PY3VERS); do \
	  $$pyvers setup.py build --executable '/usr/bin/env python3'; \
	done
	cd IPython/html && fab css
	# remove empty files that make dh_sphinxdoc fail
	rm -f ./docs/source/whatsnew/pr/antigravity-feature.rst
	rm -f ./docs/source/whatsnew/pr/incompat-switching-to-perl.rst

ifeq (,$(filter nodocs,$(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR)/build PYTHONPATH=$(CURDIR) $(MAKE) -C $(CURDIR)/docs html
endif

install-test: install-stamp
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    	# test_not_writable_ipdir, fails as root
	# test_console_starts, leaks python process
	# test_exit_code_signal sometimes fails with git-buildpackage but not when run manually
	cd build && LC_ALL=C.UTF-8 HOME=$(CURDIR)/build \
	PATH=$(CURDIR)/debian/tmp/usr/bin/:$(PATH) PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages \
	xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
	iptest2 -- -e test_not_writable_ipdir -e test_console_starts -e test_exit_code_signal;
else
	:
endif

override_dh_auto_install:
	dh_auto_install
	set -e && for pyvers in $(PY3VERS); do \
	  $$pyvers setup.py install --install-layout=deb \
		--force --no-compile -O0 --root=$(CURDIR)/debian/tmp; \
	done
	# fix shebangs
	sed -i '1c#!/usr/bin/env python' $(CURDIR)/debian/tmp/usr/bin/ipython
	sed -i '1c#!/usr/bin/env python' $(CURDIR)/debian/tmp/usr/bin/ipcluster
	sed -i '1c#!/usr/bin/env python' $(CURDIR)/debian/tmp/usr/bin/ipcontroller
	sed -i '1c#!/usr/bin/env python' $(CURDIR)/debian/tmp/usr/bin/ipengine
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipython3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipcluster3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipcontroller3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipengine3

override_dh_install:
	dh_install -pipython \
		--exclude="IPython/qt/" \
		--exclude="IPython/html/" \
		--exclude=tests
	dh_install -pipython-notebook --exclude="html/static/" --exclude=tests
	dh_install -pipython-notebook-common -XCOPYING -XLICENSE -XLICENSE.txt
	dh_install -pipython-qtconsole --exclude=tests
	dh_install -pipython3 \
		--exclude="IPython/qt/" \
		--exclude="IPython/html/" \
		--exclude=tests
	dh_install -pipython3-notebook --exclude="html/static/" --exclude=tests
	dh_install -pipython3-qtconsole --exclude=tests
	# no space allowed in dh_install
	install -D -m 644 "examples/IPython Kernel/ipython.desktop" debian/ipython/usr/share/applications/ipython.desktop
	install -D -m 644 "examples/IPython Kernel/ipython-qtconsole.desktop" debian/ipython-qtconsole/usr/share/applications/ipython-qtconsole.desktop
	# workaround for broken by space launchpad builds
	sed -i -e "s/gnome-netstatus-idle/ipython/" debian/ipython*/usr/share/applications/*desktop

	rm -rf $(NB)/components/marked/

	# font awesome changed location at some point
	if test -e /usr/share/fonts-font-awesome/fonts; then \
	  dh_linktree -pipython-notebook-common replace usr/share/fonts-font-awesome/fonts \
	    usr/share/ipython/notebook/static/components/font-awesome/font; \
	else \
	  dh_linktree -pipython-notebook-common replace usr/share/fonts-font-awesome/font \
	    usr/share/ipython/notebook/static/components/font-awesome/font; \
	fi

	dh_linktree -pipython-notebook-common replace usr/share/javascript/jquery-ui usr/share/ipython/notebook/static/components/jquery-ui
	install -D IPython/html/static/components/jquery-ui/ui/jquery-ui.js $(NB)/components/jquery-ui/ui/minified/jquery-ui.min.js
	install -D IPython/html/static/components/jquery-ui/ui/i18n/jquery-ui-i18n.js $(NB)/components/jquery-ui/ui/minified/i18n/jquery-ui-i18n.min.js
	install -D IPython/html/static/components/jquery-ui/themes/smoothness/jquery-ui.css $(NB)/components/jquery-ui/themes/smoothness/jquery-ui.min.css

	rm -rf $(NB)/components/jquery/
	install -D IPython/html/static/components/jquery/jquery.js $(NB)/components/jquery/jquery.min.js

	rm -rf $(NB)/components/highlight.js/

	rm -rf $(NB)/components/requirejs/
	install -D IPython/html/static/components/requirejs/require.js $(NB)/components/requirejs/require.js

	rm -rf $(NB)/components/codemirror/bin/

	rm -rf $(NB)/components/bootstrap/
	make -C IPython/html/static/components/bootstrap/ clean
	make -C IPython/html/static/components/bootstrap/ bootstrap-img
	make -C IPython/html/static/components/bootstrap/ bootstrap-js
	# no bootstrap-css, recess used by makefile is broken #734505
	mkdir -p $(NB)/components/bootstrap/bootstrap/css/
	lessc  IPython/html/static/components/bootstrap/less/bootstrap.less > $(NB)/components/bootstrap/bootstrap/css/bootstrap.min.css
	cp -r IPython/html/static/components/bootstrap/bootstrap/ $(NB)/components/bootstrap/

	rm -rf $(NB)/components/bootstrap-tour/
	install -D IPython/html/static/components/bootstrap-tour/build/js/bootstrap-tour.js \
	  $(NB)/components/bootstrap-tour/build/js/bootstrap-tour.min.js
	install -D IPython/html/static/components/bootstrap-tour/build/css/bootstrap-tour.min.css \
	  $(NB)/components/bootstrap-tour/build/css/bootstrap-tour.min.css

	rm -rf $(NB)/components/google-caja
	install -D IPython/html/static/components/google-caja/html-css-sanitizer-bundle.js \
	  $(NB)/components/google-caja/html-css-sanitizer-minified.js

	# 0.9 packaged likely too old
	rm -rf $(NB)/components/backbone
	install -D ./IPython/html/static/components/backbone/backbone.js \
	  $(NB)/components/backbone/backbone-min.js

	mkdir -p debian/ipython3/usr/share/applications/
	sed -e "s/ipython/ipython3/" -e "s/IPython/IPython3/" \
	    debian/ipython/usr/share/applications/ipython.desktop > \
	    debian/ipython3/usr/share/applications/ipython3.desktop
	mkdir -p debian/ipython3-qtconsole/usr/share/applications/
	sed -e "s/ipython/ipython3/" -e "s/IPython/IPython3/" \
	    debian/ipython-qtconsole/usr/share/applications/ipython-qtconsole.desktop > \
	    debian/ipython3-qtconsole/usr/share/applications/ipython3-qtconsole.desktop

	mkdir -p $(CURDIR)/debian/ipython/usr/share/icons/hicolor/scalable/apps/
	cp IPython/qt/console/resources/icon/IPythonConsole.svg \
	  $(CURDIR)/debian/ipython/usr/share/icons/hicolor/scalable/apps/ipython.svg
	mkdir -p $(CURDIR)/debian/ipython3/usr/share/icons/hicolor/scalable/apps/
	cp IPython/qt/console/resources/icon/IPythonConsole.svg \
	  $(CURDIR)/debian/ipython3/usr/share/icons/hicolor/scalable/apps/ipython3.svg

	# remove embedded simplegeneric
	find $(CURDIR)/debian/ipython/usr/ -name _simplegeneric.py -delete
	find $(CURDIR)/debian/ipython3/usr/ -name _simplegeneric.py -delete

	# remove embedded decorator
	find $(CURDIR)/debian/ipython/usr/ -name _decorator.py -delete
	find $(CURDIR)/debian/ipython3/usr/ -name _decorator.py -delete

	# remove embedded pexpect
	find $(CURDIR)/debian/ipython/usr/ -name _pexpect.py -delete

	# change permission on scripts
	find $(CURDIR)/debian/ipython-notebook-common -type f | xargs chmod a-x

	touch install-stamp

	
override_dh_installdocs:
ifeq (,$(filter nodocs,$(DEB_BUILD_OPTIONS)))
	dh_installdocs -pipython
	dh_installdocs -pipython3
	dh_installdocs -pipython-qtconsole --link-doc=ipython
	dh_installdocs -pipython3-qtconsole --link-doc=ipython3
	dh_installdocs -pipython-notebook --link-doc=ipython

=== debian/tests/control ===
# TODO fix tests when python-rpy2 is installed
Tests: python2
Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
         build-essential,
         python-nose,
         cython,
         python-all,
         python-all-dev,
         python-matplotlib,
         python-mock,
         python-qt4,
         python-tk,
         xauth,
         xvfb

Tests: python3
Depends: ipython3, ipython3-notebook, ipython-doc, ipython3-qtconsole,
         build-essential,
         python,
         python3-nose,
         cython3,
         python3-all,
         python3-all-dev,
         python3-matplotlib,
         python3-mock,
         python3-pyqt4,
         python3-tk,
         texlive-latex-base,
         dvipng,
         xauth,
         xvfb

Tests: cython-magic2
Depends: ipython, cython, python-dev, python-pexpect

Tests: cython-magic3
Depends: ipython3, cython3, python3-dev, python-pexpect

Tests: tools2
Depends: ipython, python-lxml, python-zmq

Tests: tools3
Depends: ipython3, python3-lxml, python3-zmq

Tests: incomplete-install
Depends: ipython, ipython3

Tests: nbconvert2-node
Depends: ipython-notebook, nodejs, python-pygments

Tests: nbconvert2-pandoc
Depends: ipython-notebook, pandoc, python-pygments

Tests: nbconvert3-node
Depends: ipython3-notebook, nodejs, python3-pygments

Tests: nbconvert3-pandoc
Depends: ipython3-notebook, pandoc, python3-pygments

## ipython 5.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PAPER         =
 SRCDIR        = source
 BUILDDIR      = build
+PYTHON        = python
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -33,15 +34,15 @@
 	@echo "pdf          latex and then runs the PDF generation"
 	@echo "all          html and pdf"
 	@echo "dist         all, and then puts the results in dist/"
-	@echo "gitwash-update update git workflow from source repo"
 
 clean_api:
 	-rm -rf $(SRCDIR)/api/generated
 
 clean: clean_api
 	-rm -rf build/* dist/*
-	-cd $(SRCDIR)/config/options; cat generated | xargs -r rm -f
-	-rm -rf $(SRCDIR)/config/options/generated
+	-rm -f $(SRCDIR)/config/options/config-generated.txt
+	-rm -f $(SRCDIR)/config/shortcuts/*.csv
+	-rm -f $(SRCDIR)/interactive/magics-generated.txt
 
 pdf: latex
 	cd build/latex && make all-pdf
@@ -58,8 +59,8 @@
 	cp -al build/html .
 	@echo "Build finished.  Final docs are in html/"
 
-html: api autoconfig
-html_noapi: clean_api autoconfig
+html: api autoconfig automagic autogen_shortcuts
+html_noapi: clean_api autoconfig automagic autogen_shortcuts
 
 html html_noapi:
 	mkdir -p build/html build/doctrees
@@ -67,17 +68,27 @@
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
 
-autoconfig: source/config/options/generated
+automagic: source/interactive/magics-generated.txt
 
-source/config/options/generated:
-	python autogen_config.py
+source/interactive/magics-generated.txt: autogen_magics.py
+	$(PYTHON) autogen_magics.py
+	@echo "Created docs for line & cell magics"
+
+autoconfig: source/config/options/config-generated.txt
+
+source/config/options/config-generated.txt:
+	$(PYTHON) autogen_config.py
 	@echo "Created docs for config options"
 
 api: source/api/generated/gen.txt
 
 source/api/generated/gen.txt:
-	python autogen_api.py
+	$(PYTHON) autogen_api.py
 	@echo "Build API docs finished."
+
+autogen_shortcuts: autogen_shortcuts.py ../IPython/terminal/interactiveshell.py source/config/shortcuts/index.rst
+	$(PYTHON) autogen_shortcuts.py
+	@echo "Created docs for shortcuts"
 
 pickle:
 	mkdir -p build/pickle build/doctrees
@@ -95,16 +106,6 @@
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in build/htmlhelp."
-
-qthelp:
-	mkdir -p build/qthelp
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/IPython.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/IPython.qhc"
 
 latex: api autoconfig
 	mkdir -p build/latex build/doctrees
@@ -127,18 +128,6 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/linkcheck/output.rst."
 
-gitwash-update:
-	python ../tools/gitwash_dumper.py source/development ipython
-
-nightly: dist
-	rsync -avH --delete dist/ ipython:www/doc/nightly
-
-gh-pages: clean html
-	# if VERSION is unspecified, it will be dev
-	# For releases, VERSION should be just the major version,
-	# e.g. VERSION=2 make gh-pages
-	python gh-pages.py $(VERSION)
-
 texinfo:
 	mkdir -p $(BUILDDIR)/texinfo
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo

=== debian/changelog ===
ipython (5.1.0-3+deb9u1) stretch-security; urgency=high

  * CVE-2022-21699: Prevent an arbitrary code execution vulnerability
    arising from IPython executing untrusted files in the current working
    directory. According to upstream:

      Almost all versions of IPython looks for configuration and profiles in
      current working directory. Since IPython was developed before pip and
      environments existed it was used a convenient way to load code/packages
      in a project dependant way.

      In 2022, it is not necessary anymore, and can lead to confusing behavior
      where for example cloning a repository and starting IPython or loading a
      notebook from any Jupyter-Compatible interface that has ipython set as a
      kernel can lead to code execution.

    To address this problem, the current working directory is not searched
    anymore for profiles or configuration files. (Closes: #1004122)

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Jan 2022 08:25:38 -0800

ipython (5.1.0-3) unstable; urgency=medium

  * Team upload.
  * Added DEP8 autopkgtest in debian/tests since the default
    autodep8 python tests fail. (Closes: #846606)

 -- Scott Howard <showard@debian.org>  Fri, 02 Dec 2016 19:51:33 -0500

ipython (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Update wrapper scripts to avoid a deprecation warning.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Oct 2016 08:47:51 +0100

ipython (5.1.0-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Add missing dependencies.  dh_python{,3} does not handle PEP 496
    environment markers, so these need to be added manually for now.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 18 Aug 2016 07:06:56 +0200

ipython (5.0.0-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Add missing python3-pickleshare build-dep.

  [ Julien Puydt ]
  * Bump standards-version.
  * New upstream release.
  * Add missing python-backport-shutil-get-terminal-size and
    python-sphinx-rtd-theme build-deps.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 21 Jul 2016 13:05:20 +0200

ipython (4.1.2-1) experimental; urgency=medium

  * Team upload

  [ Julien Puydt ]
  * New upstream version. (Closes: #780408)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Cristau ]
  * Update to 4.1.2.
  * Bump Standards-Version to 3.9.7.

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Apr 2016 13:36:06 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ipython
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	rm -r `find debian/python-ipython -name tests -type d`
	rm -r debian/python-ipython/usr/bin debian/python-ipython/usr/share/man
	rm -r `find debian/python3-ipython -name tests -type d`
	rm -r debian/python3-ipython/usr/bin debian/python3-ipython/usr/share/man

override_dh_auto_test:
	@echo "No test to avoid circular dependencies"

override_dh_installman:
	dh_installman
	mv debian/ipython3/usr/share/man/man1/ipython.1 debian/ipython3/usr/share/man/man1/ipython3.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import IPython; print IPython" ; done
Depends: python-all, python-ipython

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import IPython; print(IPython)" ; done
Depends: python3-all, python3-ipython

## ipython 5.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PAPER         =
 SRCDIR        = source
 BUILDDIR      = build
-PYTHON        = python
+PYTHON        = python3
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4

=== debian/changelog ===
ipython (5.5.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release
  * Update Standards-Version to 4.1.0
  * Update debhelper compat to 10
  * Set minimum python3 version to 3.3
  * Use python3 sphinx for documentation, add ${sphinxdoc:Built-Using}
    to documentation package
  * Add autopkgtests for importability and simple syntax examples
  * Install the upstream changelog
  * Fix python2 pexpect dependency of python3-ipython
  * Add myself to uploaders
  * Add pydist-overrides file mapping IPython to python-ipython, and
    equivalent for python3
  * Quote arguments to ipython -c (closes: #843793)

  [ Diane Trout ]
  * Update debian/copyright for IPython/utils/_get_terminal_size.py

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Oct 2017 00:41:52 +0200

=== debian/control ===
Source: ipython
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
Priority: optional
Section: python
Standards-Version: 4.1.0
Homepage: https://github.com/ipython/ipython
Build-Depends: debhelper (>= 10),
               dh-exec,
               dh-python,
               python,
               python-backports-shutil-get-terminal-size,
               python-ipython-genutils,
               python-matplotlib,
               python-nose,
               python-pexpect,
               python-pickleshare,
               python-prompt-toolkit,
               python-setuptools,
               python3-all,
               python3-ipython-genutils,
               python3-nose,
               python3-pexpect,
               python3-pickleshare,
               python3-prompt-toolkit,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-numpydoc,
               python3-traitlets,
               python3-simplegeneric
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipython4.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipython4.git

Package: python-ipython
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-backports-shutil-get-terminal-size,
 python-pathlib2,
 python-pexpect,
Breaks: ipython (<< 4)
Replaces: ipython (<< 4)
Description: Enhanced interactive Python shell (Python 2 version)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the backend terminal shell for Python 2: for
 the actual frontend install ipython.

Package: python-ipython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Enhanced interactive Python shell (documentation)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.

Package: python3-ipython
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pexpect,
Breaks: ipython3 (<< 4)
Replaces: ipython3 (<< 4)
Description: Enhanced interactive Python shell (Python 3 version)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the backend terminal shell for Python 3: for
 the actual frontend install ipython.

Package: ipython
Architecture: all
Section: interpreters
Depends: python-ipython (= ${binary:Version}), ${misc:Depends}
Description: Enhanced interactive Python 2 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the actual terminal shell for Python 2.

Package: ipython3
Architecture: all
Section: interpreters
Depends: python3-ipython (= ${binary:Version}), ${misc:Depends}
Description: Enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the actual terminal shell for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -c 1)
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=ipython
 export LC_ALL=C.UTF-8
+
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -27,3 +31,6 @@
 	PYTHONPATH=. sphinx-build -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/source/whatsnew/version$(DEB_VERSION_MAJOR).rst

=== debian/watch ===
version=3
http://archive.ipython.org/release/(5.[\d\.]+)/ ipython-(5.[\d\.]+)\.tar\.gz

## ipython 5.8.0

=== debian/changelog ===
ipython (5.8.0-1+deb10u1) buster-security; urgency=high

  * Fixes CVE-2022-21699 (execution of config files from the current
    directory, which might allow cross-user attacks if ipython is run from a
    directory multiple users can write). Closes: #1004122

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 14:37:34 +0000

ipython (5.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release
  * Remove d/.git-dpm and move to git-buildpackage style master branch with
    unapplied patches
  * Update Standards-Version to 4.2.1
  * Add lintian override for the README_STARTUP file, which is used by the
    ipython startup directory skeleton

  [ Nicolas Dandrimont ]
  * Block network access when building sphinx docs

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 17 Oct 2018 21:06:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper (>= 10),
                dh-exec,
@@ -11,28 +11,30 @@
                python,
                python-backports-shutil-get-terminal-size,
                python-ipython-genutils,
+               python-jupyter-client-doc <!nodoc>,
+               python-jupyter-core-doc <!nodoc>,
                python-matplotlib,
                python-nose,
                python-pexpect,
                python-pickleshare,
                python-prompt-toolkit,
                python-setuptools,
+               python-traitlets-doc <!nodoc>,
                python3-all,
                python3-ipython-genutils,
                python3-nose,
+               python3-numpydoc,
                python3-pexpect,
                python3-pickleshare,
                python3-prompt-toolkit,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-numpydoc,
+               python3-simplegeneric,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                python3-traitlets,
-               python3-simplegeneric
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipython4.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipython4.git
+               python3.7-doc <!nodoc>
+Vcs-Git: https://salsa.debian.org/python-team/modules/ipython4.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/ipython4
 
 Package: python-ipython
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
